io.prestosql.jdbc

## Class WarningsManager

- java.lang.Object
- - io.prestosql.jdbc.WarningsManager

    @ThreadSafe
    public class WarningsManager
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`WarningsManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addWarnings(List<io.prestosql.spi.PrestoWarning> warnings)`
`void` `clearWarnings()`
`SQLWarning` `getWarnings()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WarningsManager

    public WarningsManager()

### Method Detail

#### addWarnings

    public void addWarnings(List<io.prestosql.spi.PrestoWarning> warnings)

#### getWarnings

    public SQLWarning getWarnings()

#### clearWarnings

    public void clearWarnings()